%define gecko_ver 1.9.0.1

Summary:             API document browser
Name:                devhelp
Version:             0.12
Release:             18%{?dist}
License:             GPL
Group:               Development/Tools
Url:                 http://ftp.gnome.org/pub/gnome/sources/devhelp/
Source:              %{name}-%{version}.tar.bz2
# fixed in cvs
Patch0:		     devhelp-0.12-transparent.patch
Patch1:		     devhelp-0.12-xulrunner.patch
BuildRoot:           %{_tmppath}/%{name}-%{version}-root

Requires:            gtk2 >= 2.2.0
Requires:            libgnomeui >= 2.2.0
Requires:            gnome-vfs2 >= 2.2.0
Requires:            libglade2 >= 2.2.0
Requires:            gecko-libs = %{gecko_ver}
BuildRequires:       desktop-file-utils >= 0.3

BuildRequires:       gtk2-devel >= 2.2.0
BuildRequires:       libgnomeui-devel >= 2.2.0
BuildRequires:       gnome-vfs2-devel >= 2.2.0
BuildRequires:       libglade2-devel >= 2.2.0
BuildRequires:       gecko-devel-unstable = %{gecko_ver}
BuildRequires:       intltool
BuildRequires:       gettext
BuildRequires:       glib2-devel >= 2.9.5
BuildRequires:       libwnck-devel >= 2.10.0
BuildRequires:       GConf2-devel >= 2.6.0

Requires(pre): GConf2 >= 2.14
Requires(preun): GConf2 >= 2.14
Requires(post): GConf2 >= 2.14

%description
An API document browser for GNOME 2.

%package devel
Summary:             Library to embed Devhelp in other applications.
Group:               Development/Libraries
Requires:            %name = %{PACKAGE_VERSION}
Requires:            gtk2-devel >= 2.2.0
Requires:            libgnomeui-devel >= 2.2.0
Requires:            libwnck-devel >= 2.10.0
Requires:            gnome-vfs2-devel >= 2.2.0
Requires:            pkgconfig

%description devel
Library of Devhelp for embedding into other applications.

%prep
%setup -q
%patch0 -p1 -b .transparent
%patch1 -p1 -b .xl

%build
%configure

make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix} install 
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome			\
  --delete-original					\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications		\
  --add-category X-Red-Hat-Base				\
  $RPM_BUILD_ROOT%{_datadir}/applications/devhelp.desktop

find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name "*.a" -exec rm -f {} ';'

rm $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/devhelp.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/devhelp.schemas > /dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/devhelp.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README INSTALL

%{_bindir}/devhelp
%{_libdir}/libdevhelp*.so.*

%{_datadir}/applications/*.desktop
%{_datadir}/devhelp
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/icons/hicolor/48x48/apps/devhelp.png
%{_datadir}/icons/hicolor/scalable/apps/devhelp.svg

%{_libdir}/gedit-2/plugins/devhelp
%{_libdir}/gedit-2/plugins/devhelp.gedit-plugin

%files devel
%defattr(-,root,root)
%{_prefix}/include/devhelp-1.0
%{_libdir}/libdevhelp*.so
%{_libdir}/pkgconfig/*

%changelog
* Fri Jul 11 2008 Martin Stransky <stransky@redhat.com> - 0.12-18
- Rebuild against xulrunner

* Sun Jun 22 2008 Martin Stransky <stransky@redhat.com> - 0.12-17
- Rebuild against xulrunner

* Fri Apr 04 2008 Martin Stransky <stransky@redhat.com> - 0.12-16
- Rebuild against xulrunner

* Thu Mar 06 2008 Martin Stransky <stransky@redhat.com> - 0.12-15
- Rebuild against xulrunner

* Thu Jan 17 2008 Martin Stransky <stransky@redhat.com> - 0.12-14
- Rebuild against xulrunner

* Wed Jul 18 2007 Kai Engert <kengert@redhat.com> - 0.12-13
- Reverting previous changes, which failed to build,
  no rebuild necessary at this time because of fixes in gecko.

* Wed Jul 18 2007 Kai Engert <kengert@redhat.com> - 0.12-12
- Rebuild against newer gecko

* Tue May 29 2007 Christopher Aillon <caillon@redhat.com> - 0.12.6-11
- Rebuild against newer gecko

* Wed Mar 7 2007 Martin Stransky <stransky@redhat.com> - 0.12.6-10.0.1
- Rebuild against newer gecko

* Tue Dec 19 2006 Christopher Aillon <caillon@redhat.com> - 0.12.6-9
- Rebuild against newer gecko

* Tue Nov  7 2006 Christopher Aillon <caillon@redhat.com> - 0.12.6-8
- Rebuild against newer gecko

* Wed Oct 18 2006 Matthias Clasen <mclasen@redhat.com> - 0.12.6-7
- Fix scripts according to the packaging guidelines
- Require pkgconfig in the -devel package

* Thu Oct 12 2006 Christopher Aillon <caillon@redhat.com> - 0.12-6.fc6
- Update requires to the virtual gecko version instead of a specific app

* Thu Sep 14 2006 Christopher Aillon <caillon@redhat.com> - 0.12-5.fc6
- Rebuild

* Mon Aug 14 2006 Matthias Clasen <mclasen@redhat.com> - 0.12-4.fc6
- Fix transparent headers

* Mon Aug 14 2006 Matthew Barnes <mbarnes@redhat.com> - 0.12-3
- Add missing Requires to devel package.

* Thu Aug 10 2006 Matthew Barnes <mbarnes@redhat.com> - 0.12-2
- Rebuild against firefox, again.

* Sat Jul 29 2006 Matthias Clasen <mclasen@redhat.com> - 0.12-1
- Update to 0.12
- Rebuild against firefox

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.11-4
- rebuild
- bump mozver

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> - 0.11-2
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.11-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Dec 18 2005 Ray Strode <rstrode@redhat.com> - 0.11-1
- Update to 0.11

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Oct 18 2005 Christopher Aillon <caillon@redhat.com> - 0.10-6
- Build on ppc64

* Wed Aug 17 2005 Jeremy Katz <katzj@redhat.com> - 0.10-5
- fix the build

* Wed Aug 17 2005 Ray Strode <rstrode@redhat.com> 0.10.0-4
- rebuild

* Sun Jul 31 2005 Christopher Aillon <caillon@redhat.com> 0.10.0-3
- Rebuild against new mozilla

* Tue Jul 19 2005 Christopher Aillon <caillon@redhat.com> 0.10.0-2
- Rebuild against new mozilla
- Add builds for ia64 s390 s390x

* Thu May 19 2005 Ray Strode <rstrode@redhat.com> 0.10.0-1
- Update to 0.10.0 (bug #157753) 

* Fri May 13 2005 Christopher Aillon <caillon@redhat.com> 0.9.3-7
- Depend on mozilla 1.7.8

* Sat Apr 16 2005 Christopher Aillon <caillon@redhat.com> 0.9.3-6
- Depend on mozilla 1.7.7

* Thu Apr 14 2005 Ray Strode <rstrode@redhat.com> 0.9.3-5
- Don't crash on typeahead (bug #154398)

* Wed Mar  9 2005 Christopher Aillon <caillon@redhat.com> 0.9.3-4
- Depend on mozilla 1.7.6

* Sat Mar  5 2005 Christopher Aillon <caillon@redhat.com> 0.9.3-3
- Rebuild against GCC 4.0

* Sun Dec 19 2004 Christopher Aillon <caillon@redhat.com> 0.9.3-2
- Require mozilla 1.7.5

* Sun Dec 19 2004 Christopher Aillon <caillon@redhat.com> 0.9.3-1
- Update to 0.9.3

* Mon Oct 11 2004 Christopher Aillon <caillon@redhat.com> 0.9.2-2
- Rebuild to add ppc once again.

* Wed Sep 29 2004 Christopher Aillon <caillon@redhat.com> 0.9.2-1
- Update to 0.9.2
- Remove accel patch; its upstreamed now.

* Sun Sep 26 2004 Christopher Blizzard <blizzard@redhat.com> 0.9.1-6
- Rebuild without explicit mozilla release

* Fri Sep 24 2004 Christopher Blizzard <blizzard@redhat.com> 0.9.1-5
- Rebuild with explicit Mozilla version requires

* Wed Sep 22 2004 Christopher Aillon <caillon@redhat.com> 0.9.1-4
- Rebuilt to pick up new mozilla changes
- Drop ppc from the build since mozilla doesn't build there anymore.

* Wed Aug 25 2004 Christopher Aillon <caillon@redhat.com> 0.9.1-3
- Add Johan Svedberg's patch to add accelerators for back and forward 

* Mon Aug 09 2004 Christopher Aillon <caillon@redhat.com>
- Rebuild

* Wed Aug 04 2004 Christopher Aillon <caillon@redhat.com>
- Update to 0.9.1
- Remove ld-library patch. It is upstream now.

* Wed Jun 23 2004 Christopher Aillon <caillon@redhat.com>
- Update ExclusiveArch

* Tue Jun 22 2004 Christopher Aillon <caillon@redhat.com>
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 21 2004 Colin Walters <walters@redhat.com> 0.9-3
- Update patch to avoid (unlikely) security issue noticed
  by Jeremy Katz.

* Mon Apr 15 2004 Colin Walters <walters@redhat.com> 0.9-2
- Apply patch from George Karabin <gkarabin@pobox.com> to
  export LD_LIBRARY_PATH (closes bug 120220).

* Fri Apr  2 2004 Mark McLoughlin <markmc@redhat.com> 0.9-1
- Update to 0.9
- Install the schemas correctly
- Package /usr/bin/devhelp-bin
- Update requires/buildrequires
- Only build on platforms where mozilla is available

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 0.8.1-1
- update to 0.8.1

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Dec  1 2003 Jonathan Blandford <jrb@redhat.com> 0.7.0-1
- new version
- Remove .la and .a files.

* Wed Jul 30 2003 Jonathan Blandford <jrb@redhat.com>
- remove original devhelp desktop file.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat May 24 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add find_lang
